<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMediaTable extends Migration {

	public function up()
	{
		Schema::create('media', function(Blueprint $table) {
			$table->increments('id');
			$table->integer('mediable_id');
			$table->string('mediable_type', 100);
			$table->string('locale', 10)->nullable();
			$table->enum('type', array('video', 'image', 'document'));
			$table->string('value');
			$table->string('label');
			$table->string('name');
			$table->string('size');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('media');
	}
}